# Uses of Class
javafx.scene.control.TextField

Packages that use TextField
Package
Description
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.
javafx.scene.control.skin
The javafx.scene.control.skin package is where the skin classes, typically one for each UI control, are located

## Uses of TextField in javafx.scene.control

Subclasses of TextField in javafx.scene.control
Modifier and Type
Class
Description
`class`
`PasswordField`
Text field that masks entered characters.
Methods in javafx.scene.control that return TextField
Modifier and Type
Method
Description
`final TextField`
ComboBox.`getEditor()`
Gets the value of the `editor` property.
`final TextField`
DatePicker.`getEditor()`
Gets the value of the `editor` property.
`final TextField`
Spinner.`getEditor()`
Gets the value of the `editor` property.
`final TextField`
TextInputDialog.`getEditor()`
Returns the `TextField` used within this dialog.
Methods in javafx.scene.control that return types with arguments of type TextField
Modifier and Type
Method
Description
`final ReadOnlyObjectProperty<TextField>`
ComboBox.`editorProperty()`
The editor for the ComboBox.
`final ReadOnlyObjectProperty<TextField>`
DatePicker.`editorProperty()`
The editor for the DatePicker.
`final ReadOnlyObjectProperty<TextField>`
Spinner.`editorProperty()`
The editor used by the Spinner control.

## Uses of TextField in javafx.scene.control.skin

Methods in javafx.scene.control.skin that return TextField
Modifier and Type
Method
Description
`protected TextField`
ColorPickerSkin.`getEditor()`
ColorPicker does not use a main text field, so this method has been overridden to return null.
`protected TextField`
ComboBoxListViewSkin.`getEditor()`
Subclasses are responsible for getting the editor.
`protected abstract TextField`
ComboBoxPopupControl.`getEditor()`
Subclasses are responsible for getting the editor.
`protected TextField`
DatePickerSkin.`getEditor()`
Subclasses are responsible for getting the editor.
Constructors in javafx.scene.control.skin with parameters of type TextField
Modifier
Constructor
Description
``
`TextFieldSkin(TextField control)`
Creates a new TextFieldSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.